#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@文件    :globalvar.py
@时间    :2022/01/22 10:11:23
@作者    :None
@版本    :1.0
@说明    :全局变量
'''
from utils.qt import QMutex, QSemaphore
from utils.can import MessageDeal


class SD:

    MAJOR_VERSION_NUMBER = 0
    # 子版本号
    MINOR_VERSION_NUMBER = 0
    # 修正版本号
    REVISION_NUMBER = 0

    CAN_TYPE = 0

    # 加载CAN连接驱动
    CAN_CONTROL = MessageDeal()

    CAN_ON_OFF = 0
    # 工商业储能 or 户储
    CCU_TYPE = 0

    BCU_ID = 1

    # 主机列表
    BCU_LIST = [0 for i in range(15)]
    BCU_LIFE_STATE = [0 for i in range(15)]

    SYSTEM_LANGUAGE = 0

    HIGH_DPI = 0

    START_RUN = False

